#! /bin/bash -u

# Instructions for POS-training on non-treebanked material:
#
# * POS training data should be formatted identical to treebank training data (it just happens
#   this data will lack any constituent structure)
# * concatenate this with your treebank training data into the parameter dir as "train.txt" and 
#   run pSgT and pUgT  
# * run allScript on your treebank training data as usual
#

MY_DATA=$1
TREEBANK_TRAIN=$2
TREEBANK_DEV=$3

# POS Training
cd TRAIN
make pSgT pUgT
cd ../$MY_DATA
echo .
echo Running pSgT...
cat train.txt | ../TRAIN/pSgT ./
echo .
echo Running pUgT...
../TRAIN/pUgT ./
mv -f pUgT.new pUgT.txt

# Bracket Training; corpus used here must be all proper treebank (no flat POS data allowed)
echo .
echo Running allScript...
cd ../TRAIN
allScript ../$MY_DATA/ $TREEBANK_TRAIN $TREEBANK_DEV



